<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

    $vetorIndice[1]=1;   $vetorLargura[1]=5.2;//sequencia
    $vetorIndice[2]=1;   $vetorLargura[2]=19.8;//amostra
    $vetorIndice[3]=39;   $vetorLargura[3]=23.3;//cultivar
    $vetorIndice[4]=1;    $vetorLargura[4]=15.4;//lote
    $vetorIndice[5]=2;    $vetorLargura[5]=13;//pura
    $vetorIndice[6]=3;    $vetorLargura[6]=11.9;//mat  inerte;//
    $vetorIndice[7]=4;    $vetorLargura[7]=13.4;//outras sementes
    $vetorIndice[8]=5;    $vetorLargura[8]=13.3;//silvestres
    $vetorIndice[9]=6;    $vetorLargura[9]=19.8;//oe cultivadas
    $vetorIndice[10]=7;   $vetorLargura[10]=12.4;//tolerada
    $vetorIndice[11]=8;   $vetorLargura[11]=12;//proibida
    $vetorIndice[12]=9;   $vetorLargura[12]=11.4;//nomais
    $vetorIndice[13]=10;  $vetorLargura[13]=11.6;//anormais
    $vetorIndice[14]=11;  $vetorLargura[14]=9.2;//moratas
    $vetorIndice[15]=12;  $vetorLargura[15]=18;//infecionadas
    $vetorIndice[16]=13;  $vetorLargura[16]=14.6;//dormentes
    $vetorIndice[17]=14;  $vetorLargura[17]=9.5;//duras
    $vetorIndice[18]=15;  $vetorLargura[18]=19.9;//viabilidade


$limite=sizeof($vetorIndice);
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf

			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->setFont("Arial","",7);
			 $vetorNormas=$objetocalculo->capturaNormas("Informe","Forrageiras",$idLabo);
			 $posicaoNorma=250;
			 $pdf->Rect($posicaoNorma,5,40,15);
			 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
			 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
			 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
             $pdf->SetFont('Times','',8);

     //LINHAS LATERAIS DO CORPO DO DOCUMENTO
	 $pdf->Line($margemDireita,$cota2,$margemDireita,$cota8);	//linha direita
	 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//linha externa superior	
	 $pdf->Line($margemEsquerda,$cota2,$margemEsquerda,$cota8);//linha externa esquerda	
	 $pdf->Line($margemEsquerda,$cota8,$margemDireita,$cota8);//ULTIMA LINHA DO RELATORIO	



			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);

			 //$pdf->Line($margemEsquerda,1,$margemDireita,1);//LINHA vertical  DO CABECALHO	
			 $pdf-> Rect($margemEsquerda,1,$margemDireita-10,27);
			//$PDF -> Ln(4);
			//$PDF -> Rect(3,10,5,5,'F');
	         $pdf->SetFont('Times','B',11);
			 
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=8; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=13;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]),0,1,'C');//lab nome
			 $cota1=18; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[3]),0,1,'C');//lab nome
			 
             $cota1=30; 
			 //$pdf-> Rect($margemEsquerda,$cota1,$margemDireita-10,20);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('LAUDO DE ANÁLISES Nº '.$vetorDadosDocumento[1]),1,1,'C');//lab nome
	        $pdf->SetFont('Arial','',7);
			//Coloca ou nao aquela tarja PROIBIDO COMERCIALIACAO
			
			$pdf->SetFont('Arial','BI',10);
			$clienteReduzido=substr($cliente,0,4);
            if($tipoDoc=='Plural'  && $clienteReduzido=='TABA'):
			    //nao imprime a legenda hihihihI
			
			else:
	            //aqula legenda de proibido comercializacao
				$cota2+=2;
				$pdf->Rect(90,$cota2+5,100,10);
				$pdf->setXY(90,$cota2+5);
				$pdf->Cell(100,5,utf8_decode('PROIBIDA A COMERCIALIZAÇÃO'),0,0,'C',1);//lab nome
				$pdf->setXY(90,$cota2+10);
				$pdf->Cell(100,5,utf8_decode('Art. 84, $ 1º e $ 2º, do Decreto nº 5.153, de 23.07.04'),0,0,'C',1);//lab nome
			endif;
			//$pdf->Cell(100,5,utf8_decode($tipoDoc.$clienteReduzido),0,0,'C',1);//lab nome
	
			    #####################DADOS DO REQUERENTE##################################################
	 $cota2+=17;			
	 $larguraDaLinha=3.5;
	 $pdf->SetLineWidth($extraFino);
	 $pdf->setXY($margemEsquerda,$cota2);
     global $amostraLong;
     $amostraLong=$vetori[5];
	 $pdf->SetFont('Times','B',8);
	 //$limiteDireito=200;
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DO REQUERENTE').$limiteDireito ,1,1,'C',1);	
	 $pdf->Ln(0);
     $pdf->SetFont('Times','',8);
     $pdf->Cell(160,$larguraDaLinha,'Requerente:'.utf8_decode($vetorDadosDocumento[0]) ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(160);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(121,$larguraDaLinha,'RENASEM:'.$vetorDadosDocumento[6] ,1,1,'L');
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $pdf->Cell(281,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8] ),1,1,'L');
     ################IDENTIFICACAO DA AMOSTRA##################################################
     $pdf->SetFont('Times','B',8);
     $pdf->Cell($larguraUtil,$larguraDaLinha,utf8_decode('IDENTIFICAÇÃO DA AMOSTRA') ,1,0.5,'C',1);	
     $pdf->SetFont('Times','',8);
	 $pdf->Ln(0);//ln(0)da o salto criando uma celuma contigua   ln()=cria um salto afastando a celula tantos milimetros quento a altura da linha anterior
     $nomeComum=$vetorDadosDocumento[2];
	 $tama=strlen($nomeComum)*3;
     $pdf->Cell(12,$larguraDaLinha,utf8_decode('Espécie:'),0,0,'L');
     $pdf->Cell($tama,$larguraDaLinha,utf8_decode($nomeComum ),0,0,'L');
     $pdf->SetFont('Times','I',8);
     $nomeCientifico=$vetorDadosDocumento[13];
     $pdf->Cell(70,$larguraDaLinha,'('.$nomeCientifico.')' ,0,1,'L');
     $pdf->SetFont('Times','',8);
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(100);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     //$pdf->Cell(75,$larguraDaLinha,'Cultivar:'.utf8_decode($vetorDadosDocumento[3]) ,1,1,'L');
     $pdf->Cell(75,$larguraDaLinha,' ' ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(175);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(35,$larguraDaLinha,'Safra:'.$vetorDadosDocumento[9] ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(210);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(71,$larguraDaLinha,'Categoria:'.utf8_decode($vetorDadosDocumento[10]) ,1,1,'L');
	 $pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(180,$larguraDaLinha,utf8_decode('Procedência:'.$vetorDadosDocumento[14]),1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(180);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(101,$larguraDaLinha,'Data do recebimento:'.$vetorDadosDocumento[11] ,1,1,'L');
	 $pdf->Ln(0);//-8 é pra ele imprimir na mesma linha
     $pdf->Cell(140,$larguraDaLinha,'Nome do amostrador/RT:'.$vetorDadosDocumento[5] ,1,1,'L');
	 $pdf->Ln(-$larguraDaLinha);//-8 é pra ele imprimir na mesma linha
	 $pdf->Cell(140);//sempre DEVE DEFINIR ONDE COMECA A CELULA a menos que comeca na coluna 10
     $pdf->Cell(141,$larguraDaLinha,utf8_decode('Nº RENASEM:').$vetorDadosDocumento[7] ,1,1,'L');

			///////final do enxerto do boletim/////////////
            $cota1=75;
			$caminhoFinal="Imagens/laudopluralforrageira.JPG";//desenho com as colunas do laudo
			$pdf->Image($caminhoFinal,9.8,$cota1,281,25.9,'JPG');
			
			
			$cota1++;
			$pesoPureza= $vetorDadosDocumento[15];
			$pesoDOSN= $vetorDadosDocumento[17];
	        $pesoNocivas= $vetorDadosDocumento[16];
			$pdf->setXY(74,$cota1);
			
			$objetocalculo=new calculos();
            //vai verificar se nenhuma analise foi feita para colocar peso=-O- 
			$binarioAnalises=$objetocalculo->binarioAnalises($idDoc);
            if(substr($binarioAnalises,0,1)=='0')$pesoNocivas='-O-';
            if(substr($binarioAnalises,1,1)=='0')$pesoPureza='-O-';
            if(substr($binarioAnalises,2,1)=='0')$pesoDOSN='-O-';
			
            $pdf->Cell(38,$larguraDaLinha,"PUREZA em ".$pesoPureza."g" ,0,0,'C');
			$pdf->setXY(112,$cota1+9);
            $pdf->Cell(33,$larguraDaLinha,utf8_decode("Nº em").$pesoDOSN."g",0,0,'C');
            $pdf->Cell(24,$larguraDaLinha,utf8_decode("Nº em").$pesoNocivas."g",0,0,'C');


	        $cota1+=20;
			//vai preparar para mostrar os dados
			//CAPTURA A MODALIDADE ARQUIVADA
			$generica=new tabelagenerica();
			$generica->tabela="tetrazolio";
			$generica->campos_valores = array(
			    "tet_repeticao" => NULL,
			);
			$generica->extras_select =" where (tet_repeticao='8' or tet_repeticao='9'  or tet_repeticao='7' ) and tet_amostra=".$amostraLong;
			$generica->selecionaCampos($generica);
			$registros=0;
			while ($resgenerica = $generica->retornaDados()):
			    $registros++;
				$modalidadeArquivada=$resgenerica->tet_repeticao;
			endwhile;
			
			//$objetocalculo=new calculos();
			//$modalidadeArquivada='8';


		
		
//VAI ACHAR AS ID DAS AMOSTRAS QUE VAO NO LAUDO

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$generica=new tabelagenerica();
$generica->tabela="documentosponte";
$generica->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$generica->selecionaCampos($generica);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	
$pdf->SetFont('Arial','',6);
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes

while ($resgenerica = $generica->retornaDados()):
    $amostraLong=$resgenerica->dpo_amostra_vinculada;
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';
	if(substr($especiex,0,4)=='SOJA' || substr($especiex,0,6)=='FEIJÃO'):
		//CAPTURA A MODALIDADE ARQUIVADA
		$generica1=new tabelagenerica();
		$generica1->tabela="tetrazolio";
		$generica1->campos_valores = array(
		    "tet_repeticao" => NULL,
		);
		$generica1->extras_select =" where (tet_repeticao='8' or tet_repeticao='9'  or tet_repeticao='7' ) and tet_amostra=".$amostraLong;
		$generica1->selecionaCampos($generica1);
		$registros=0;
		while ($resgenerica1 = $generica1->retornaDados()):
		    $registros++;
			$modalidadeArquivada=$resgenerica1->tet_repeticao;
		endwhile;	   
	    //aqui captura alguns dados fixos que preciso colocar nos laudos gerlamente a 
	    //esquerda da tabela .Eu jogo eles na tabela com as colunas numeradas apos a sequencia 
	    //do tetrazolio 
	    $matrizResumo=$objetocalculo->calculaTetrazolioSoja($amostraLong,$modalidadeArquivada);
	    //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
		$registrosRep1=$matrizResumo[1][19];
		$registrosRep2=$matrizResumo[2][19];
		//$vigor=$matrizResumo[3][11];//nao deletar esta linha pois ajuda entender que pode pegar a viabilidae e o vigor desta forma
		$viabilidadeFinal=$matrizResumo[3][10];
	    $vigorFinal=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
	else:
       //aqui trabalha se for forrageiras
	   $viabilidadeFinal=$objetocalculo->calculaTetrazolioForrageira($amostraLong,$modalidadeArquivada);//viabilidae forrageira
	endif;//testa se é soja ou forrageira pois se for forrageira a viabilidade é tomada de forma diferente
	
	$cota1+=5;//incrementa linha para colocar na linha seguinte
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($vetorLargura[1],5,$contador,1,0,'R');//numero de ordem 1,2,3,4,5
	$pdf->Cell($vetorLargura[2],5,$vetorAmostraBruto[1],1,0,'C');//amostra
	$textoReduzido=substr($vetorAmostraBruto[31],0,12);
	$pdf->Cell($vetorLargura[3],5,utf8_decode($textoReduzido),1,0,'C');//cultivar
	$textoReduzido=substr($vetorAmostraBruto[2],0,10);
	$pdf->Cell($vetorLargura[4],5,utf8_decode($vetorAmostraBruto[2]),1,0,'C');//lote
	$pdf->Cell($vetorLargura[5],5,utf8_decode($vetorAmostraBruto[4]),1,0,'C');//puras
	$pdf->Cell($vetorLargura[6],5,utf8_decode($vetorAmostraBruto[17]),1,0,'C');//material inerte
	$pdf->Cell($vetorLargura[7],5,utf8_decode($vetorAmostraBruto[18]),1,0,'C');//outras sementes
	$pdf->Cell($vetorLargura[8],5,utf8_decode($vetorAmostraBruto[8]),1,0,'C');//sementes silvestres
	$pdf->Cell($vetorLargura[9],5,utf8_decode($vetorAmostraBruto[7]),1,0,'C');//outras especies cultivada
	$pdf->Cell($vetorLargura[10],5,utf8_decode($vetorAmostraBruto[9]),1,0,'C');//toleradas
	$pdf->Cell($vetorLargura[11],5,utf8_decode($vetorAmostraBruto[10]),1,0,'C');//proibidas
	$pdf->Cell($vetorLargura[12],5,utf8_decode($vetorAmostraBruto[3]),1,0,'C');//plantulas normais
	$pdf->Cell($vetorLargura[13],5,utf8_decode($vetorAmostraBruto[11]),1,0,'C');//plantulas anormais
	$pdf->Cell($vetorLargura[14],5,utf8_decode($vetorAmostraBruto[14]),1,0,'C');//sementes mortas
	$pdf->Cell($vetorLargura[15],5,utf8_decode($vetorAmostraBruto[40]),1,0,'C');//sementes infecionadas
	$pdf->Cell($vetorLargura[16],5,utf8_decode($vetorAmostraBruto[13]),1,0,'C');//sementes dormentes
	$pdf->Cell($vetorLargura[17],5,utf8_decode($vetorAmostraBruto[12]),1,0,'C');//sementes duras
	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
    //aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
	$pdf->Cell($vetorLargura[18],5,$viabilidadeFinal,1,0,'C');//viabilidade
	

	
	
  endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE
 //coloca  um -O-  para fechar =================
 $cota1+=5;//incrementa linha para colocar na linha seguinte
 $pdf->setXY($margemEsquerda,$cota1);
 for($i=1;$i<=18;$i++):  
	$pdf->Cell($vetorLargura[$i],5,"-O-",1,0,'C');//numero de ordem 1,2,3,4,5 
 endfor; 
//terminou de imprimir resultados



	 //terminou de imprimir resultado agora vi para  CONTAMINANTES observacoes tecico e assinatura
     $cota4=140;

    #########3 ULTIMAS CAIXAS################################################
     //conteudos
     //daque pra frente fica defnicido pela penultima cota que é a cota 7	 
	 $base[1][2]="Observações:";
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];

     //NOTAS ,DATA E responsavel tecnico
	 $base[1][3]="NOTAS:A presente análise tem seu valor restrito à amostra";
	 $base[2][3]="entregue ao laboratório.";
	 $base[3][3]="2-A identificação da amostra é de exclusiva responsabilidade" ;
	 $base[4][3]="do remetente.";
	 $base[5][3]="3-Métodos de análise segundo as RAS em vigor ou outro";
	 $base[6][3]="informado no campo observações.";
     $base[7][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	 $base[8][3]="";
	 $base[9][3]="";
	 //captura o rt
	 $cota7=155;
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,229,$cota7+15,61,14,'JPG');
     endif;

	$base[10][3]=$vetorTecnico[1];//nome do rt
    $base[11][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[12][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[1]=115;
	 $largo[2]=105;
	 $largo[3]=65;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $larguraDaLinha=4.0;
     $posicao1=$margemEsquerda;
	 $posicao2=$posicao1+$largo[1];
	 $posicao3=$posicao2+$largo[2];

//TERMINOU DE CRIAR OS CONTEUDOS ENTAO AGORA IMPRIME TODO O SETOR FINAL DAS 3 CAISXA E AS LINHAS VERTICAIS E HORIZONTAIS

 	 $pdf->Line($posicao3,$cota7,$posicao3,$cota8);//linha separadora
	 $pdf->Line($posicao2,$cota7,$posicao2,$cota8);//linha separadora
	 $pdf->Line($margemEsquerda,$cota7,$margemDireita,$cota7);//linha antes de observacoes	
	 $pdf->SetXY(10,$cota7);
	 
	 
	 //imprime as contaminamates///////////////////////////////
    ###########OUTRAS ESPECIES CONTAMINANTES########################################
     $contaminantesDocumento=$objetocalculo->acharContaminantesDocumento($idDoc);
     $cotaDOSN=$cota7;//ele incrementa a cota linha e deixa espaco para imprimir logo a seguir os contaminantes	      
     $pdf->setXY($margemEsquerda,$cotaDOSN);
     //se o primeiro  item estver vazio ele nem siquer imprime a esperessao  OUTRAS ESPECIES CONTAMINANTES
	 $pdf->setXY($margemEsquerda,$cotaDOSN);
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('DETERMINAÇÃO DE OUTRAS ESPECIES POR NÚMERO:'),0,1,'L');	
	 $pdf->SetFont('Times','I',8);
	 $cotaLinha=$cotaDOSN;
     for($L=1;$L<=10;$L++)
	 {
	      $conteudo=$contaminantesDocumento[$L];
		  if(strlen($conteudo)>2):
		 	 $cotaLinha+=$larguraDaLinha;
			 $alturaRetangulo+=$larguraDaLinha;
	         $pdf->SetXY($margemEsquerda,$cotaLinha);
			 $pdf->Cell(180,$larguraDaLinha,utf8_decode($conteudo),0,1,'L');	
		  endif;
	 }
	 $pdf->SetFont('Times','',8);


	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','',7);
     for($L=1;$L<=10;$L++)
	 {
		 $pdf->SetXY($posicao2,$cotaLinha);
		 //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if(strlen($base[$L][2])>1):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     }	 


	 //imprime notas e assinatura
	 $cotaLinha=$cota7+2;
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Times','',6);
     for($L=1;$L<=6;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],2,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=2;
     }	 
	 $pdf->SetFont('Times','',7);

     for($L=7;$L<=12;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],4,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=4;
     }	 


     $pdf->setXY(20,194);
	 //$total=595.28*193/184;
	 //$pdf->Cell(50,5,$total,0,1,'L');
     //coloca  as 3 linhas separadoras verticais 
	 $posicao1=$largo[1]+10;
	 $posicao2=$posicao1+$largo[2];
	 //vai imprimir numero de via
	 //$pdf->SetFont('Times','B',8);
	 //$pdf->SetXY(271,$cota8);//era -10//
     //$pdf->Cell(20,$larguraDaLinha,$pdf->vetorCabecalho[17],1,1,R);	


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
